package com.community.huiju.dao;

import com.community.huiju.model.TpTransactionReply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TpTransactionReplyMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpTransactionReply record);

    int insertSelective(TpTransactionReply record);

    TpTransactionReply selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpTransactionReply record);

    int updateByPrimaryKey(TpTransactionReply record);

    /**
     * 当前帖子评论列表
     * @param communityId
     * @param transactionId
     * @param userID
     * @param founderUserID
     * @return
     */
    List<TpTransactionReply> getCommunityIdAndTransactionId(@Param("communityId") Integer communityId, @Param("transactionId") Integer transactionId,@Param("userID") Integer userID,@Param("founderUserID") Integer founderUserID,@Param("type")Integer type, @Param("roomNoName")String roomNoName);

    /**
     * 查询我回复别人的帖子
     * @param id
     * @return
     */
    List<TpTransactionReply> selectUserTransactionReply(Integer id);
}